commit:     ea9ead198ad6d9520ff421447174eb9e096a8edd
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 21:01:51 2016 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 21:16:59 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea9ead19

dev-python/txgithub: Fix twisted dep, add python_test()

Package-Manager: Portage-2.3.3_p7, Repoman-2.3.1
Signed-off-by: Brian Dolbec <dolsen <AT> gentoo.org>

 dev-python/txgithub/txgithub-15.0.0-r1.ebuild | 30 +++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/dev-python/txgithub/txgithub-15.0.0-r1.ebuild 
b/dev-python/txgithub/txgithub-15.0.0-r1.ebuild
new file mode 100644
index 00000000..6462274
--- /dev/null
+++ b/dev-python/txgithub/txgithub-15.0.0-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils distutils-r1
+
+DESCRIPTION="GitHub API client implemented using Twisted"
+HOMEPAGE="https://github.com/tomprince/txgithub 
https://pypi.python.org/pypi/txgithub";
+SRC_URI="https://github.com/tomprince/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+       || ( >=dev-python/twisted-16.0.0[${PYTHON_USEDEP}]
+               ( >=dev-python/twisted-core-12.3.0[${PYTHON_USEDEP}]
+               >=dev-python/twisted-web-12.3.0[${PYTHON_USEDEP}] )
+       )
+       dev-python/pyopenssl[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+python_test() {
+       PYTHONPATH="${S}/test:${BUILD_DIR}/lib" py.test -v || die "Tests failed 
under ${EPYTHON}"
+}

Reply via email to